{  This file is part of Reg_Lin_Mc, uncertainty calculation software
    Copyright (C) 2013  Jean-Marie Biansan
        Contact: jeanmarie.biansan@free.fr
    Web site: http://jeanmarie.biansan.free.fr/logiciel.html
 Reg_Lin_Mc is distribued under the terms of the
 GNU General Public License.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA}

program reg_lin_mc;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, Unit1, Unit_genere_distribution, UChaines,
  unit_williamson_york, Unit21, Unit28, MonBitmap, SpecFunX,
  Unitsaisiemontecarlo, AMath, Unit17, charencstreams, Unitgpl, Unit4,
UnitTypeIncertitude,LCLType, Unit_choix_initial ,crt
  { you can add units after this };

{$R *.res}

begin
RequireDerivedFormResource := True;
  Application.Initialize;
  SplashScreen := TSplashScreen.Create(Application);
 with SplashScreen do begin
 if screen.width>width then left:=(screen.width-width) div 2 else left:=0;
if screen.height>height then top:=(screen.height-height) div 2 else top:=0;
  end;
  SplashScreen.Show;
  SplashScreen.Update;
  delay(1000);
  application.ProcessMessages;
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TForm_montecarlo, Form_montecarlo);
  Application.CreateForm(TForm4, Form4);
  Application.CreateForm(TFormTypeIncertitude, FormTypeIncertitude);
  Application.CreateForm(Tsaisiefichiertableur, saisiefichiertableur);
  Application.CreateForm(TFormgpl, Formgpl);
  Application.Run;
  if (SplashScreen<>nil) then begin
   SplashScreen.Free;
   SplashScreen:=nil;
  end;

end.

