{  This file is part of Reg_Lin_Mc, uncertainty calculation software
    Copyright (C) 2013  Jean-Marie Biansan
        Contact: jeanmarie.biansan@free.fr
    Web site: http://jeanmarie.biansan.free.fr/logiciel.html
 Reg_Lin_Mc is distribued under the terms of the
 GNU General Public License.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA}

unit Unit17;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls,UChaines,translations,UnitScaleFont;

type

  { Tsplashscreen }

  Tsplashscreen = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    encreation:boolean;
  public
    { public declarations }
  end; 

var
  splashscreen: Tsplashscreen;
    Lang, FallbackLang: String;
implementation

{ Tsplashscreen }

procedure Tsplashscreen.FormCreate(Sender: TObject);
 var
      PODirectory: String;
      f:textfile;  nom_ini_file:string;
      label 1888;
    begin

      encreation:=true;
  {  lang:='';  FallbackLang:='';
    
    nom_ini_file:=extractfilepath(application.ExeName)+'dozzzaqueux.ini';
      if not(fileexists(nom_ini_file)) then begin
        Lang:='fr_FR';  FallbackLang:='fr';
        goto 1888;
        end;
        assignfile(f,nom_ini_file);
        reset(f);
        readln(f,lang);
               readln(f,FallbackLang);
        closefile(f);
          {$IFDEF MSWINDOWS}
          PODirectory:=extractfilepath(application.ExeName)+'languages\';
        {$ELSE}
            PODirectory:=extractfilepath(application.ExeName)+'languages/';
        {$ENDIF}

      //GetLanguageIDs(Lang, FallbackLang); // dans l'unité gettext



      1888:
      TranslateUnitResourceStrings('LCLStrConsts', PODirectory + 'lclstrconsts.%s.po', Lang, FallbackLang);
      TranslateUnitResourceStrings('UChaines', PODirectory + 'dozzzaqueux.%s.po', Lang, FallbackLang);

   }
 Caption := rsSplashscreen ;
 Label1.Caption := rsReg_Lin_MC;
 Label2.Caption := rsLogicielLibr2;
 Label3.Caption := rsVersion101Du2;
 Label4.Caption := rsParJeanMarie2;


end;

procedure Tsplashscreen.FormShow(Sender: TObject);
begin
   //   if encreation then begin scalefont(self); encreation:=false; end;
   label1.Left:=(splashscreen.ClientWidth div 2)- (label1.Canvas.TextWidth(label1.Caption) div 2);
   label2.Left:=(splashscreen.ClientWidth div 2)- (label2.Canvas.TextWidth(label2.Caption) div 2);
   label3.Left:=(splashscreen.ClientWidth div 2)- (label3.Canvas.TextWidth(label3.Caption) div 2);
   label4.Left:=(splashscreen.ClientWidth div 2)- (label4.Canvas.TextWidth(label4.Caption) div 2);
end;

initialization
  {$I unit17.lrs}

end.

